package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

public enum EffectiveEnum implements IIntegerEnum {
    INVALID(0, "无效"),
    EFFECTIVE(1, "有效");

    private Integer value;
    private String display;

    EffectiveEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
